/*
 * $Id: commands.h 4196 2016-09-12 12:16:10Z antonin.misek-skoda-auto.cz $
 *
 * Description  : One line description of file.
 * Author       : Vaclav Kyba <mail/Jabber: vaseo1@gmail.com>  <ICQ: 98576293>
 * 
 * Purpose      :
 *     Long description of what the file is for.
 */


#ifndef __COMMANDS_H__
#define __COMMANDS_H__


const wxString CMD_EXIT          = wxT("exit");
const wxString CMD_USEMODULE     = wxT("usemodule");
const wxString CMD_FORBIDMODULE  = wxT("forbidmodule");
const wxString CMD_RUNMODULE     = wxT("runmodule");
const wxString CMD_IMPORTSCENE   = wxT("importscene");
const wxString CMD_EXPORTSCENE   = wxT("exportscene");
const wxString CMD_RENDERSCENE   = wxT("renderscene");
const wxString CMD_RENDERIMAGE   = wxT("renderimage");
const wxString CMD_LISTSCENES    = wxT("listscenes");
const wxString CMD_SETPARAM      = wxT("setparam");
const wxString CMD_GETPARAM      = wxT("getparam");
const wxString CMD_FIT           = wxT("fit");
const wxString CMD_FULLSCREEN    = wxT("fullscreen");
const wxString CMD_FULLSCREENSET = wxT("fullscreenset");
const wxString CMD_RESETVIEW     = wxT("resetview");
const wxString CMD_SETLOGLEVEL   = wxT("setloglevel");
const wxString CMD_LISTMODULES   = wxT("listmodules");
const wxString CMD_MODHELP       = wxT("modhelp");
const wxString CMD_LS            = wxT("ls");
const wxString CMD_GETVIDEOMODES = wxT("getvideomodes");
const wxString CMD_SETVIDEOMODE  = wxT("setvideomode");
const wxString CMD_SWITCHVIDEOOUTS = wxT("switchvideoouts");
const wxString CMD_CARDISPLAY    = wxT("cardisplay");
const wxString CMD_SHOWPANE      = wxT("showpane");
const wxString CMD_SHOWPARAM     = wxT("showparam");
const wxString CMD_ADAMSTODELTAGEN = wxT("adamstodeltagen");
const wxString CMD_HELP          = wxT("help");
const wxString CMD_WAIT          = wxT("wait");
const wxString CMD_BIN2C         = wxT("bin2c");
const wxString CMD_RUNONCLIENT   = wxT("runonclient");


#endif
